VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Attributes | List of all members
IInterAppAudioPresetManager Class Referenceabstract

Extended plug-in interface IEditController for Inter-App Audio Preset Management. More...

`#include <ivstinterappaudio.h>`

Inheritance diagram for IInterAppAudioPresetManager:

## Public Member Functions
virtual tresult | runLoadPresetBrowser ()=0
| Open the Preset Browser in order to load a preset. More...
virtual tresult | runSavePresetBrowser ()=0
| Open the Preset Browser in order to save a preset. More...
virtual tresult | loadNextPreset ()=0
| Load the next available preset. More...
virtual tresult | loadPreviousPreset ()=0
| Load the previous available preset. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended plug-in interface IEditController for Inter-App Audio Preset Management.

- [plug imp]
- [extends IEditController]
- [released: 3.6.0]

## Member Function Documentation

## ◆ runLoadPresetBrowser()

virtual tresult runLoadPresetBrowser | ( |  | ) |
| pure virtual

Open the Preset Browser in order to load a preset.

Implemented in PresetManager.

## ◆ runSavePresetBrowser()

virtual tresult runSavePresetBrowser | ( |  | ) |
| pure virtual

Open the Preset Browser in order to save a preset.

Implemented in PresetManager.

## ◆ loadNextPreset()

virtual tresult loadNextPreset | ( |  | ) |
| pure virtual

Load the next available preset.

Implemented in PresetManager.

## ◆ loadPreviousPreset()

virtual tresult loadPreviousPreset | ( |  | ) |
| pure virtual

Load the previous available preset.

Implemented in PresetManager.

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.